/*****************************************************************************
** FILE IDENTIFICATION
**
**   Name:          fourier.h
**   Purpose:       Header for Fourier transform functions
**   Programmer:    Kevin Rosenberg
**   Date Started:  Dec 2000
**
**  This is part of the CTSim program
**  Copyright (c) 1983-2001 Kevin Rosenberg
**
**  $Id: fourier.h,v 1.5 2001/01/28 19:20:15 kevin Exp $
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#include <complex>

class ImageFile;

class Fourier {
public:
    static void shuffleFourierToNaturalOrder (ImageFile& im);
    static void shuffleNaturalToFourierOrder (ImageFile& im);

    static void shuffleNaturalToFourierOrder (float* pdVector, const int n);
    static void shuffleNaturalToFourierOrder (double* pdVector, const int n);
    static void shuffleNaturalToFourierOrder (std::complex<double>* pdVector, const int n);
    static void shuffleFourierToNaturalOrder (float* pdVector, const int n);
    static void shuffleFourierToNaturalOrder (double* pdVector, const int n);
    static void shuffleFourierToNaturalOrder (std::complex<double>* pdVector, const int n);

}; // namespace Fourier

